plugins {
	id 'org.springframework.boot' version '2.2.6.RELEASE'
	id 'io.spring.dependency-management' version '1.0.9.RELEASE'
	id 'java'
	id 'war'
}

group = 'com.dbs'
version = '0.0.1-SNAPSHOT'
sourceCompatibility = '1.8'

repositories {
	mavenCentral()
	//maven { url "https://code.lds.org/nexus/content/groups/main-repo"}  /* oracle ref url*/
	// maven { url "http://maven.icm.edu.pl/artifactory/repo/"}  /* oracle ref url*/
}

dependencies {
	implementation fileTree(dir: 'lib', include: ['*.jar'])
	implementation 'org.springframework.boot:spring-boot-starter-web'
	providedRuntime 'org.springframework.boot:spring-boot-starter-tomcat'
	testImplementation('org.springframework.boot:spring-boot-starter-test') {
		exclude group: 'org.junit.vintage', module: 'junit-vintage-engine'
	}
	
	implementation("org.mybatis.spring.boot:mybatis-spring-boot-starter:2.1.1")
	implementation("org.bgee.log4jdbc-log4j2:log4jdbc-log4j2-jdbc4.1:1.16")
	//implementation("com.oracle:ojdbc6:11.2.0.3")

  // SWAGGER
	implementation 'io.springfox:springfox-swagger2:2.6.1'
	implementation 'io.springfox:springfox-swagger-ui:2.6.1'
	implementation 'io.springfox:springfox-swagger-ui:2.6.1'

	// https://mvnrepository.com/artifact/org.projectlombok/lombok
	providedCompile group: 'org.projectlombok', name: 'lombok', version: '1.18.12'

	testRuntimeOnly 'org.junit.platform:junit-platform-launcher'
}

// jar 생성 추가
// gradlew --build 실행
// 추후 Jenkins 에서 자동으로 jar, Docker Image 생성에 대한 환경설정 필요
bootJar {
    launchScript()
}

test {
	useJUnitPlatform()
}
